Schema "fpml-com-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 8916 $

Defined Components:

  13 global elements, 171 local elements, 98 complexTypes, 16 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\transparency\fpml-com-5-3.xsd; see XML source

Includes Schema:

  fpml-option-shared-5-3.xsd [src]

Included in Schema:

  fpml-main-5-3.xsd [src]

All Element Summary
additionalMarketDisruptionEvent | To be used when marketDisruptionEvents is set to "Applicable" and additional market disruption events(s) apply to the default market disruption events of Section 7.4(d)(i) of the ISDA Commodity Definitions.
Type: | MarketDisruptionEvent
Content: | simple, 1 attribute
Defined: | locally witnin CommodityMarketDisruption complexType; see XML source
americanExercise (defined in CommodityPhysicalExercise complexType) | The parameters for defining the expiration date(s) and time(s) for an American style option.
Type: | CommodityPhysicalAmericanExercise
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityPhysicalExercise complexType; see XML source
americanExercise (in exercise in commodityOption) | The parameters for defining the exercise period for an American style option together with the rules governing the quantity of the commodity that can be exercised on any given exercise date.
Type: | CommodityAmericanExercise
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityExercise complexType; see XML source
applicable (in systemFirm) | Indicates that the trade is for a System Firm product.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ElectricityDeliverySystemFirm complexType; see XML source
applicable (in transfer) | Indicates that the oil product will be delivered by title transfer.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin OilTransferDelivery complexType; see XML source
applicable (in unitFirm) | Indicates that the trade is for a Unit Firm product.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ElectricityDeliveryUnitFirm complexType; see XML source
applicableDay | Specifies the Applicable Day with respect to a range of Settlement Periods.
Type: | DayOfWeekEnum
Content: | simple
Defined: | locally witnin SettlementPeriods complexType; see XML source
averagingMethod (in calculation in floatingLeg) | The parties may specify a Method of Averaging where more than one pricing Dates is being specified as being applicable.
Type: | AveragingMethodEnum
Content: | simple
Defined: | locally witnin FloatingLegCalculation complexType; see XML source
averagingMethod (in commodityOption) | The Method of Averaging if there is more than one Pricing Date.
Type: | AveragingMethodEnum
Content: | simple
Defined: | locally witnin CommodityAsian.model group; see XML source
bullionPhysicalLeg | The physical leg of a Commodity Forward Transaction for which the underlyer is Bullion.
Type: | BullionPhysicalLeg
Content: | complex, 1 attribute, 4 elements
Subst.Gr: | may substitute for element commodityForwardLeg
Defined: | globally; see XML source
Used: | never
bullionType | The type of Bullion underlying a Bullion Transaction.
Type: | BullionTypeEnum
Content: | simple
Defined: | locally witnin BullionPhysicalLeg complexType; see XML source
calculation (in floatingLeg) | Defines details relevant to the calculation of the floating price.
Type: | FloatingLegCalculation
Content: | complex, 3 elements
Defined: | locally witnin FloatingPriceLeg complexType; see XML source
calculationDates (defined in CommodityCalculationPeriods.model group) | The Calculation Period dates for this leg of the trade where the Calculation Periods are all one day long, typically a physically-settled emissions or metals trade.
Type: | AdjustableDates
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityCalculationPeriods.model group; see XML source
calculationPeriods | The Calculation Period start dates for this leg of the swap.
Type: | AdjustableDates
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityCalculationPeriods.model group; see XML source
calculationPeriodsDatesReference | A pointer style reference to single-day-duration Calculation Periods defined on another leg.
Type: | CalculationPeriodsDatesReference
Content: | empty, 1 attribute
Defined: | locally witnin CommodityCalculationPeriodsPointer.model group; see XML source
calculationPeriodsReference | A pointer style reference to the Calculation Periods defined on another leg.
Type: | CalculationPeriodsReference
Content: | empty, 1 attribute
Defined: | locally witnin CommodityCalculationPeriodsPointer.model group; see XML source
calculationPeriodsSchedule (defined in CommodityCalculationPeriods.model group) | The Calculation Periods for this leg of the swap.
Type: | CommodityCalculationPeriodsSchedule
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityCalculationPeriods.model group; see XML source
calculationPeriodsSchedule (in commodityOption) | A parametric representation of the Calculation Periods of the Commodity Option Transaction.
Type: | CommodityCalculationPeriodsSchedule
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityAsian.model group; see XML source
calculationPeriodsScheduleReference | A pointer style reference to the Calculation Periods Schedule defined on another leg.
Type: | CalculationPeriodsScheduleReference
Content: | empty, 1 attribute
Defined: | locally witnin CommodityCalculationPeriodsPointer.model group; see XML source
coal | The specification of the Coal Product to be delivered.
Type: | CoalProduct
Content: | complex, 1 element
Defined: | locally witnin CoalPhysicalLeg complexType; see XML source
coalPhysicalLeg | Physically settled coal leg.
Type: | CoalPhysicalLeg
Content: | complex, 1 attribute, 3 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
commencementDate (in exercisePeriod) | The first day of the exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityExercisePeriods complexType; see XML source
commencementDates | The first day(s) of the exercise period(s) for an American-style option.
Type: | AdjustableOrRelativeDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityPhysicalAmericanExercise complexType; see XML source
commodity (in commodityOption) | Specifies the underlying component.
Type: | Commodity
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin CommodityFinancialOption.model group; see XML source
commodity (in floatingLeg) | Specifies the underlying instrument.
Type: | Commodity
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin FloatingPriceLeg complexType; see XML source
commodityForward | Defines a commodity forward product.
Type: | CommodityForward
Content: | complex, 1 attribute, 7 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
commodityForwardLeg | Defines the substitutable commodity forward leg
Type: | CommodityForwardLeg
Content: | empty, 1 attribute
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 1 element
Defined: | globally; see XML source
Used: | at 2 locations
commodityOption | Defines a commodity option product.
Type: | CommodityOption
Content: | complex, 1 attribute, 15 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
commoditySwap | Defines a commodity swap product.
Type: | CommoditySwap
Content: | complex, 1 attribute, 7 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
commoditySwap (in commoditySwaption) | The underlying commodity swap definiton.
Type: | CommoditySwaptionUnderlying
Content: | complex, 3 elements
Defined: | locally witnin CommoditySwaption complexType; see XML source
commoditySwapLeg | Defines the substitutable commodity swap leg
Type: | CommoditySwapLeg
Content: | empty, 1 attribute
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 6 elements
Defined: | globally; see XML source
Used: | at 7 locations
commoditySwaption | Defines a commodity swaption product
Type: | CommoditySwaption
Content: | complex, 1 attribute, 8 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
contractRate | For a DRY Voyage Charter or Time Charter Commodity Swap, the price per relevant unit for pruposes of the calculation of a Fixed Amount.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityFixedPrice.model group; see XML source
contractRateStep | For a DRY Voyage Charter or Time Charter Freight Swap, the price per relevant unit for pruposes of the calculation of a Fixed Amount for a given Calculation Period during the life of the trade.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityFixedPriceSchedule complexType; see XML source
cycle (in pipeline) | The cycle(s) during which the oil product will be transported in the pipeline.
Type: | CommodityPipelineCycle
Content: | simple, 1 attribute
Defined: | locally witnin OilPipelineDelivery complexType; see XML source
dayCount | The number of days over which pricing should take place.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin PricingDays.model group; see XML source
dayDistribution | The method by which the pricing days are distributed across the pricing period.
Type: | CommodityFrequencyType
Content: | simple, 1 attribute
Defined: | locally witnin PricingDays.model group; see XML source
dayType | The type of day on which pricing occurs.
Type: | CommodityDayTypeEnum
Content: | simple
Defined: | locally witnin PricingDays.model group; see XML source
deliverableByBarge | Whether or not the delivery can go to barge.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin OilPipelineDelivery complexType; see XML source
deliveryAtSource | The point at which the Coal Product as a reference to the Source of the Coal Product.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CoalDelivery complexType; see XML source
deliveryConditions (in coalPhysicalLeg) | The physical delivery conditions for the transaction.
Type: | CoalDelivery
Content: | complex, 2 elements
Defined: | locally witnin CoalPhysicalLeg complexType; see XML source
deliveryConditions (in electricityPhysicalLeg) | The physical delivery conditions for the transaction.
Type: | ElectricityDelivery
Content: | complex, 2 elements
Defined: | locally witnin ElectricityPhysicalLeg complexType; see XML source
deliveryLocation (in bullionPhysicalLeg) | The physical delivery location for the transaction.
Type: | BullionDeliveryLocation
Content: | simple, 1 attribute
Defined: | locally witnin BullionPhysicalLeg complexType; see XML source
deliveryLocation (in transfer) | The location at which the transfer of the title to the commodity takes place.
Type: | CommodityDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin OilTransferDelivery complexType; see XML source
deliveryPeriods | The different options for specifying the Delivery or Supply Periods.
Type: | GasDeliveryPeriods
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin GasPhysicalLeg complexType; see XML source
deliveryPeriodsReference | A pointer style reference to the Delivery Periods defined elsewhere.
Type: | CalculationPeriodsReference
Content: | empty, 1 attribute
Defined: | locally witnin CommodityDeliveryPeriodsPointer.model group; see XML source
deliveryPeriodsScheduleReference | A pointer style reference to the Calculation Periods Schedule defined elsewhere.
Type: | CalculationPeriodsScheduleReference
Content: | empty, 1 attribute
Defined: | locally witnin CommodityDeliveryPeriodsPointer.model group; see XML source
deliveryPoint (in deliveryConditions in coalPhysicalLeg) | The point at which the Coal Product will be delivered and received.
Type: | CoalDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin CoalDelivery complexType; see XML source
deliveryPoint (in deliveryConditions in electricityPhysicalLeg) | The point at which delivery of the electricity will occur.
Type: | ElectricityDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin ElectricityDelivery complexType; see XML source
deliveryQuantity (in coalPhysicalLeg) | The different options for specifying the quantity.
Type: | CommodityPhysicalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CoalPhysicalLeg complexType; see XML source
deliveryQuantity (in electricityPhysicalLeg) | The different options for specifying the quantity.
Type: | ElectricityPhysicalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin ElectricityPhysicalLeg complexType; see XML source
deliveryQuantity (in gasPhysicalLeg) | The different options for specifying the quantity.
Type: | GasPhysicalQuantity
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin GasPhysicalLeg complexType; see XML source
deliveryQuantity (in oilPhysicalLeg) | The different options for specifying the quantity.
Type: | CommodityPhysicalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin OilPhysicalLeg complexType; see XML source
deliveryType | Indicates the under what conditions the Parties' delivery obligations apply.
Type: | ElectricityDeliveryType
Content: | complex, 4 elements
Defined: | locally witnin ElectricityDelivery complexType; see XML source
disruptionFallback |
Type: | SequencedDisruptionFallback
Content: | complex, 2 elements
Defined: | locally witnin CommodityMarketDisruption complexType; see XML source
disruptionFallbacks | To be used where disruption fallbacks are set out in the relevant Master Agreement governing the trade.
Type: | DisruptionFallbacksEnum
Content: | simple
Defined: | locally witnin CommodityMarketDisruption complexType; see XML source
duration | The length of each Settlement Period.
Type: | SettlementPeriodDurationEnum
Content: | simple
Defined: | locally witnin SettlementPeriods complexType; see XML source
effectiveDate (defined in CommoditySwapDetails.model group) | Specifies the effective date of this leg of the swap.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommoditySwapDetails.model group; see XML source
effectiveDate (in commodityOption) | The effective date of the Commodity Option Transaction.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityAsian.model group; see XML source
electingParty | Indicates the party able to choose whether the gas is delivered for a particular period e.g. a swing or interruptible contract.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin GasPhysicalQuantity complexType; see XML source
electricity | The specification of the electricity to be delivered.
Type: | ElectricityProduct
Content: | complex, 2 elements
Defined: | locally witnin ElectricityPhysicalLeg complexType; see XML source
electricityPhysicalLeg | Physically settled electricity leg.
Type: | ElectricityPhysicalLeg
Content: | complex, 1 attribute, 5 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
endTime | Specifies the hour-ending End Time with respect to a range of Settlement Periods.
Type: | OffsetPrevailingTime
Content: | complex, 2 elements
Defined: | locally witnin SettlementPeriods complexType; see XML source
entryPoint | The point at which the oil product will enter the pipeline.
Type: | CommodityDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin OilPipelineDelivery complexType; see XML source
europeanExercise (defined in CommodityPhysicalExercise complexType) | The parameters for defining the expiration date(s) and time(s) for a European style option.
Type: | CommodityPhysicalEuropeanExercise
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityPhysicalExercise complexType; see XML source
europeanExercise (in exercise in commodityOption) | The parameters for defining the expiration date and time for a European or Asian style option.
Type: | CommodityEuropeanExercise
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityExercise complexType; see XML source
excludeHolidays | Indicates that days that are holidays according to the referenced commodity business calendar should be excluded from this range of Settlement Periods, even if such day is an applicable day.
Type: | CommodityBusinessCalendar
Content: | simple, 1 attribute
Defined: | locally witnin SettlementPeriods complexType; see XML source
exercise (in commodityOption) | The parameters for defining how the commodity option can be exercised and how it is settled.
Type: | CommodityExercise
Content: | complex, 2 elements
Defined: | locally witnin CommodityFinancialOption.model group; see XML source
exerciseFrequency (in americanExercise in exercise in commodityOption) | The exercise frequency for the strip.
Type: | Frequency
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityAmericanExercise complexType; see XML source
exerciseFrequency (in europeanExercise in exercise in commodityOption) | The exercise frequency for the strip.
Type: | Frequency
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityEuropeanExercise complexType; see XML source
exercisePeriod | Describes the American exercise periods.
Type: | CommodityExercisePeriods
Content: | complex, 2 elements
Defined: | locally witnin CommodityAmericanExercise complexType; see XML source
expirationDate (in europeanExercise defined in CommodityPhysicalExercise complexType) | The Expiration Date of a single expiry European-style option or the first Expiration Date of a multiple expiry or daily expiring option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityPhysicalEuropeanExercise complexType; see XML source
expirationDate (in europeanExercise in exercise in commodityOption) | The last day within an exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityEuropeanExercise complexType; see XML source
expirationDate (in exercisePeriod) | The last day within an exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityExercisePeriods complexType; see XML source
expirationDateOffset | Specifies any offset from the adjusted Calculation Period start date or adjusted Calculation Period end date applicable to each Payment Date.
Type: | DateOffset
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityRelativeExpirationDates complexType; see XML source
expirationDates | The Expiration Date(s) of an American-style option.
Type: | AdjustableOrRelativeDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityPhysicalAmericanExercise complexType; see XML source
expireRelativeToEvent | Specifies whether the payment(s) occur relative to the date of a physical event.
Type: | CommodityExpireRelativeToEvent
Content: | simple, 1 attribute
Defined: | locally witnin CommodityRelativeExpirationDates complexType; see XML source
fallback | Disruption fallback that applies to the trade.
Type: | DisruptionFallback
Content: | simple, 1 attribute
Defined: | locally witnin SequencedDisruptionFallback complexType; see XML source
fallbackReferencePrice | A fallback commodity reference price for use when relying on Disruption Fallbacks in Section 7.5(d)(i) of the ISDA Commodity Definitions or have selected "Fallback Reference Price" as a disruptionFallback.
Type: | Underlyer
Content: | complex, 2 elements
Defined: | locally witnin CommodityMarketDisruption complexType; see XML source
firm | Indicates under what condtitions the Parties' delivery obligations apply.
Type: | ElectricityDeliveryFirm
Content: | empty
Defined: | locally witnin ElectricityDeliveryType complexType; see XML source
firstObservationDateOffset | The interval between the start of each lagDuration and the start of each respective calculation period.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Lag complexType; see XML source
fixedLeg | Fixed Price Leg.
Type: | FixedPriceLeg
Content: | complex, 1 attribute, 7 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
fixedLeg (in commodityForward) | The fixed leg of a Commodity Forward Transaction
Type: | NonPeriodicFixedPriceLeg
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityForward complexType; see XML source
fixedPrice (in fixedLeg in commodityForward) | Fixed price on which fixed payments are based.
Type: | FixedPrice
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin NonPeriodicFixedPriceLeg complexType; see XML source
fixedPrice (in fixedLeg) | Fixed price on which fixed payments are based.
Type: | FixedPrice
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityFixedPrice.model group; see XML source
fixedPriceStep | The Fixed Price for a given Calculation Period during the life of the trade.
Type: | FixedPrice
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityFixedPriceSchedule complexType; see XML source
flatRate | Whether the Flat Rate is the New Worldwide Tanker Nominal Freight Scale for the Freight Index Route taken at the Trade Date of the transaction or taken on each Pricing Date.
Type: | FlatRateEnum
Content: | simple
Defined: | locally witnin CommodityFreightFlatRate.model group; see XML source
flatRateAmount | If flatRate is set to "Fixed", the actual value of the Flat Rate.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityFreightFlatRate.model group; see XML source
floatingLeg | Floating Price leg.
Type: | FloatingPriceLeg
Content: | complex, 1 attribute, 6 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
gas | The specification of the gas to be delivered.
Type: | GasProduct
Content: | complex, 1 element
Defined: | locally witnin GasPhysicalLeg complexType; see XML source
gasPhysicalLeg | Physically settled natural gas leg.
Type: | GasPhysicalLeg
Content: | complex, 1 attribute, 3 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
grade | The grade of oil product to be delivered.
Type: | CommodityProductGrade
Content: | simple, 1 attribute
Defined: | locally witnin OilProduct complexType; see XML source
hubCode |
Type: | CommodityHubCode
Content: | simple, 1 attribute
Defined: | locally witnin CommodityHub complexType; see XML source
includeHolidays | Indicates that days that are holidays according to the referenced commodity business calendar should be included in this range of Settlement Periods, even if such day is not an applicable day.
Type: | CommodityBusinessCalendar
Content: | simple, 1 attribute
Defined: | locally witnin SettlementPeriods complexType; see XML source
integralMultipleQuantity | The integral multiple quantity defines a lower limit of the Notional Quantity that can be exercised and also defines a unit multiple of the Notional Quantity that can be exercised, i.e. only integer multiples of this Notional Quantity can be exercised.
Type: | CommodityNotionalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityMultipleExercise complexType; see XML source
lagDuration | The period during which observations will be made.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Lag complexType; see XML source
marketDisruptionEvent | Market disruption event(s) that apply.
Type: | MarketDisruptionEvent
Content: | simple, 1 attribute
Defined: | locally witnin CommodityMarketDisruption complexType; see XML source
marketDisruptionEvents | If Market disruption Events are stated to be Applicable then the default Market Disruption Events of Section 7.4(d)(i) of the ISDA Commodity Definitions shall apply unless specific Market Disruption Events are stated hereunder, in which case these shall override the ISDA defaults.
Type: | MarketDisruptionEventsEnum
Content: | simple
Defined: | locally witnin CommodityMarketDisruption complexType; see XML source
masterAgreementPaymentDates | If present and true indicates that the Payment Date(s) are specified in the relevant master agreement.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CommodityNonPeriodicPaymentDates.model group; see XML source
maximumNumberOfDaysOfDisruption | 2005 Commodity Definitions only.
Type: | xsd:nonNegativeInteger
Content: | simple
Defined: | locally witnin CommodityMarketDisruption complexType; see XML source
maxPhysicalQuantity | The maximum quantity to be delivered.
Type: | CommodityNotionalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GasPhysicalQuantity complexType; see XML source
minimumFuturesContracts | 1993 Commodity Definitions only.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin CommodityMarketDisruption complexType; see XML source
minimumNotionalQuantity | The minimum Notional Quantity that can be exercised on a given Exercise Date.
Type: | CommodityNotionalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityMultipleExercise complexType; see XML source
minPhysicalQuantity | The minimum quantity to be delivered.
Type: | CommodityNotionalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GasPhysicalQuantity complexType; see XML source
negative (defined in AbsoluteTolerance complexType) | The maximum amount by which the quantity delivered can be less than the agreed quantity.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin AbsoluteTolerance complexType; see XML source
negative (defined in PercentageTolerance complexType) | The maximum percentage amount by which the quantity delivered can be less than the agreed quantity.
Type: | RestrictedPercentage
Content: | simple
Defined: | locally witnin PercentageTolerance complexType; see XML source
nonFirm | If present and set to true, indicates that delivery or receipt of the electricity may be interrupted for any reason or for no reason, without liability on the part of either Party.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ElectricityDeliveryType complexType; see XML source
notionalQuantity | The Notional Quantity.
Type: | CommodityNotionalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityNotionalQuantity.model group; see XML source
notionalStep | The Notional Quantity per Calculation Period.
Type: | CommodityNotionalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityNotionalQuantitySchedule complexType; see XML source
oil | The specification of the oil product to be delivered.
Type: | OilProduct
Content: | complex, 2 elements
Defined: | locally witnin OilPhysicalLeg complexType; see XML source
oilPhysicalLeg | Physically settled oil or refined products leg.
Type: | OilPhysicalLeg
Content: | complex, 1 attribute, 2 elements
Subst.Gr: | may substitute for element commoditySwapLeg
Defined: | globally; see XML source
Used: | never
option | Indicates whether the tolerance it at the seller's or buyer's option.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin PercentageTolerance complexType; see XML source
optionOwnerPartyReference | Indicates whether the tolerance is at the seller's or buyer's option.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin AbsoluteTolerance complexType; see XML source
optionType (in commodityOption) | The type of option transaction.
Type: | PutCallEnum
Content: | simple
Defined: | locally witnin CommodityOption complexType; see XML source
optionType (in commoditySwaption) | The type of option transaction.
Type: | PutCallEnum
Content: | simple
Defined: | locally witnin CommoditySwaption complexType; see XML source
paymentDates (defined in CommodityNonPeriodicPaymentDates.model group) | Dates on which payments will be made.
Type: | AdjustableDatesOrRelativeDateOffset
Content: | complex, 2 elements
Defined: | locally witnin CommodityNonPeriodicPaymentDates.model group; see XML source
paymentDaysOffset | Specifies any offset from the adjusted Calculation Period start date or adjusted Calculation Period end date applicable to each Payment Date.
Type: | DateOffset
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityRelativePaymentDates complexType; see XML source
payRelativeTo | Specifies whether the payment(s) occur relative to a date such as the end of each Calculation Period or the last Pricing Date in each Calculation Period.
Type: | PayRelativeToEnum
Content: | simple
Defined: | locally witnin CommodityRelativePaymentDates complexType; see XML source
payRelativeToEvent | Specifies whether the payment(s) occur relative to the date of a physical event.
Type: | CommodityPayRelativeToEvent
Content: | simple, 1 attribute
Defined: | locally witnin CommodityRelativePaymentDates complexType; see XML source
periods | The Delivery Periods for this leg of the swap.
Type: | AdjustableDates
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityDeliveryPeriods complexType; see XML source
periodsSchedule | The Delivery Periods for this leg of the swap.
Type: | CommodityCalculationPeriodsSchedule
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityDeliveryPeriods complexType; see XML source
physicalExercise (defined in CommodityPhysicalOption.model group) | The parameters for defining how the commodity option can be exercised into a physical transaction.
Type: | CommodityPhysicalExercise
Content: | complex, 2 elements
Defined: | locally witnin CommodityPhysicalOption.model group; see XML source
physicalExercise (in commoditySwaption) | The parameters for defining how the commodity option can be exercised into a physical transaction.
Type: | CommodityPhysicalExercise
Content: | complex, 2 elements
Defined: | locally witnin CommoditySwaption complexType; see XML source
pipeline | Specified the delivery conditions where the oil product is to be delivered by pipeline.
Type: | OilPipelineDelivery
Content: | complex, 6 elements
Defined: | locally witnin OilDelivery complexType; see XML source
pipelineName | The name of pipeline by which the oil product will be delivered.
Type: | CommodityPipeline
Content: | simple, 1 attribute
Defined: | locally witnin OilPipelineDelivery complexType; see XML source
positive | The maxmium amount by which the quantity delivered can exceed the agreed quantity.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin AbsoluteTolerance complexType; see XML source
postitive | The maximum percentage amount by which the quantity delivered can exceed the agreed quantity.
Type: | RestrictedPercentage
Content: | simple
Defined: | locally witnin PercentageTolerance complexType; see XML source
premium (in commodityOption) | The option premium payable by the buyer to the seller.
Type: | CommodityPremium
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityOption complexType; see XML source
premium (in commoditySwaption) | The option premium payable by the buyer to the seller.
Type: | CommodityPremium
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommoditySwaption complexType; see XML source
premiumPerUnit | The currency amount of premium to be paid per Unit of the Total Notional Quantity.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityPremium complexType; see XML source
price (defined in FixedPrice complexType) | The Fixed Price.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FixedPrice complexType; see XML source
priceCurrency | Currency of the fixed price.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin Price.model group; see XML source
priceMaterialityPercentage | 2005 Commodity Definitions only.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CommodityMarketDisruption complexType; see XML source
priceUnit | The unit of measure used to calculate the Fixed Price.
Type: | QuantityUnit
Content: | simple, 1 attribute
Defined: | locally witnin Price.model group; see XML source
pricingDates (in calculation in floatingLeg) | Commodity Pricing Dates.
Type: | CommodityPricingDates
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin FloatingLegCalculation complexType; see XML source
pricingDates (in commodityOption) | The dates on which the option will price.
Type: | CommodityPricingDates
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommodityAsian.model group; see XML source
quantity | Amount of commodity per quantity frequency.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin UnitQuantity complexType; see XML source
quantityStep | The quantity per Calculation Period.
Type: | CommodityNotionalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommodityPhysicalQuantitySchedule complexType; see XML source
quantityUnit (defined in CommodityNotionalQuantity complexType) | Quantity Unit is the unit of measure applicable for the quantity on the Transaction.
Type: | QuantityUnit
Content: | simple, 1 attribute
Defined: | locally witnin CommodityNotionalQuantity complexType; see XML source
quantityUnit (defined in UnitQuantity complexType) | Quantity Unit is the unit of measure applicable for the quantity on the Transaction.
Type: | QuantityUnit
Content: | simple, 1 attribute
Defined: | locally witnin UnitQuantity complexType; see XML source
relativePaymentDates | The Payment Dates of the trade relative to the Calculation Periods.
Type: | CommodityRelativePaymentDates
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin CommodityPaymentDates.model group; see XML source
risk | Specifies how the risk associated with the delivery is assigned.
Type: | CommodityDeliveryRisk
Content: | simple, 1 attribute
Defined: | locally witnin OilPipelineDelivery complexType; see XML source
sequence | Sequence in which the reference to the disruption fallback should be applied.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin SequencedDisruptionFallback complexType; see XML source
settlementDate (in bullionPhysicalLeg) | Date on which the bullion will settle.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin BullionPhysicalLeg complexType; see XML source
settlementPeriods | The specification of the Settlement Periods in which the electricity will be delivered.
Type: | SettlementPeriods
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin ElectricityPhysicalLeg complexType; see XML source
settlementPeriodsNotionalQuantitySchedule | For an electricity transaction, the Notional Quantity schedule for a one or more groups of Settlement Periods to which the Notional Quantity is based.
Type: | CommoditySettlementPeriodsNotionalQuantitySchedule
Content: | complex, 2 elements
Defined: | locally witnin CommodityNotionalQuantitySchedule complexType; see XML source
settlementPeriodsNotionalQuantityStep | For an electricity transaction, the Notional Quantity for a given Calculation Period during the life of the trade which applies to the range(s) of Settlement Periods referenced by settlementPeriodsReference.
Type: | CommodityNotionalQuantity
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CommoditySettlementPeriodsNotionalQuantitySchedule complexType; see XML source
settlementPeriodsPrice | For an electricity transaction, the fixed price for one or more groups of Settlement Periods on which fixed payments are based.
Type: | SettlementPeriodsFixedPrice
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin CommodityFixedPrice.model group; see XML source
settlementPeriodsPriceSchedule | For an electricity transaction, the fixed price schedule for one or more groups of Settlement Periods on which fixed payments are based. if the schedule differs for different groups of Settlement Periods, this element should be repeated.
Type: | CommoditySettlementPeriodsPriceSchedule
Content: | complex, 2 elements
Defined: | locally witnin CommodityFixedPriceSchedule complexType; see XML source
settlementPeriodsPriceStep | For an electricity transaction, the Fixed Price for a given Calculation Period during the life of the trade which applies to the range(s) of Settlement Periods referenced by settlementPeriods Reference.
Type: | FixedPrice
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CommoditySettlementPeriodsPriceSchedule complexType; see XML source
settlementPeriodsReference (defined in CommoditySettlementPeriodsNotionalQuantity complexType) | The range(s) of Settlement Periods to which the Notional Quantity applies.
Type: | SettlementPeriodsReference
Content: | empty, 1 attribute
Defined: | locally witnin CommoditySettlementPeriodsNotionalQuantity complexType; see XML source
settlementPeriodsReference (in settlementPeriodsNotionalQuantitySchedule) | The range(s) of Settlement Periods to which the Fixed Price steps apply.
Type: | SettlementPeriodsReference
Content: | empty, 1 attribute
Defined: | locally witnin CommoditySettlementPeriodsNotionalQuantitySchedule complexType; see XML source
settlementPeriodsReference (in settlementPeriodsPrice) |
Type: | SettlementPeriodsReference
Content: | empty, 1 attribute
Defined: | locally witnin SettlementPeriodsFixedPrice complexType; see XML source
settlementPeriodsReference (in settlementPeriodsPriceSchedule) | The range(s) of Settlement Periods to which the Fixed Price steps apply.
Type: | SettlementPeriodsReference
Content: | empty, 1 attribute
Defined: | locally witnin CommoditySettlementPeriodsPriceSchedule complexType; see XML source
settlementPeriodsReference (in settlementPeriodsStep) | The specification of the Settlement Periods in which the electricity will be delivered.
Type: | SettlementPeriodsReference
Content: | empty, 1 attribute
Defined: | locally witnin SettlementPeriodsStep complexType; see XML source
settlementPeriodsSchedule | The specification of the Settlement Periods in which the electricity will be delivered for a "shaped" trade i.e. where different Settlement Period ranges will apply to different periods of the trade.
Type: | SettlementPeriodsSchedule
Content: | complex, 3 elements
Defined: | locally witnin ElectricityPhysicalLeg complexType; see XML source
settlementPeriodsStep | The range of Settlement Periods per Calculation Period.
Type: | SettlementPeriodsStep
Content: | complex, 1 element
Defined: | locally witnin SettlementPeriodsSchedule complexType; see XML source
spread (in calculation in floatingLeg) | The spread over or under the Commodity Reference Price for this leg of the trade.
Type: | CommoditySpread
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin FloatingLegCalculation complexType; see XML source
spreadConversionFactor | spreadConversionFactor should be used when the unit of measure of the Commodity Reference Price and the unit of measure in which the spread is quoted are different.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CommoditySpread complexType; see XML source
spreadStep | The spread per Calculation Period.
Type: | CommoditySpread
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin CommoditySpreadSchedule complexType; see XML source
spreadUnit | spreadUnit should be used when the unit of measure of the Commodity Reference Price and the unit of measure in which the spread is quoted are different.
Type: | QuantityUnit
Content: | simple, 1 attribute
Defined: | locally witnin CommoditySpread complexType; see XML source
startTime | Specifies the hour-ending Start Time with respect to a range of Settlement Periods.
Type: | OffsetPrevailingTime
Content: | complex, 2 elements
Defined: | locally witnin SettlementPeriods complexType; see XML source
strikePricePerUnit | The currency amount of the strike price per unit.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityStrikePrice.model group; see XML source
strikePricePerUnitStep | The strike price per unit per Calculation Period.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityStrikeSchedule complexType; see XML source
supplyEndTime | The time at which gas delivery should end on each day of the Delivery Period(s).
Type: | PrevailingTime
Content: | complex, 2 elements
Defined: | locally witnin GasDeliveryPeriods complexType; see XML source
supplyStartTime | The time at which gas delivery should start on each day of the Delivery Period(s).
Type: | PrevailingTime
Content: | complex, 2 elements
Defined: | locally witnin GasDeliveryPeriods complexType; see XML source
systemFirm | Indicates that the electricity is intended to be supplied from the owned or controlled generation or pre-existing purchased power assets of the system specified.
Type: | ElectricityDeliverySystemFirm
Content: | complex, 1 element
Defined: | locally witnin ElectricityDeliveryType complexType; see XML source
terminationDate (defined in CommoditySwapDetails.model group) | Specifies the termination date of this leg of the swap.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommoditySwapDetails.model group; see XML source
totalNotionalQuantity | The Total Notional Quantity.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CommodityNotionalQuantity.model group; see XML source
totalPhysicalQuantity (defined in CommodityFixedPhysicalQuantity.model group) | The Total Quantity of the commodity to be delivered.
Type: | UnitQuantity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityFixedPhysicalQuantity.model group; see XML source
totalPhysicalQuantity (in deliveryQuantity in electricityPhysicalLeg) | The Total Quantity of the commodity to be delivered.
Type: | UnitQuantity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ElectricityPhysicalQuantity complexType; see XML source
totalPrice | The total amount of all fixed payments due during the term of the trade.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityFixedPrice.model group; see XML source
transfer | Specified the delivery conditions where the oil product is to be delivered by title transfer.
Type: | OilTransferDelivery
Content: | complex, 2 elements
Defined: | locally witnin OilDelivery complexType; see XML source
type (in coal) | The type of coal product to be delivered by reference to a pre-defined specification.
Type: | CoalProductType
Content: | simple, 1 attribute
Defined: | locally witnin CoalProduct complexType; see XML source
type (in electricity) | The type of electricity product to be delivered.
Type: | ElectricityProductTypeEnum
Content: | simple
Defined: | locally witnin ElectricityProduct complexType; see XML source
type (in gas) | The type of gas to be delivered.
Type: | GasProductTypeEnum
Content: | simple
Defined: | locally witnin GasProduct complexType; see XML source
type (in oil) | The type of oil product to be delivered.
Type: | OilProductType
Content: | simple, 1 attribute
Defined: | locally witnin OilProduct complexType; see XML source
unit | The unit in which the tolerance is specified.
Type: | QuantityUnit
Content: | simple, 1 attribute
Defined: | locally witnin AbsoluteTolerance complexType; see XML source
unitFirm | Indicates that the electricity is intended to be supplied from a generation asset which can optionally be specified.
Type: | ElectricityDeliveryUnitFirm
Content: | complex, 1 element
Defined: | locally witnin ElectricityDeliveryType complexType; see XML source
valueDate (in commodityForward) | Specifies the value date of the Commodity Forward Transaction.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CommodityForward complexType; see XML source
voltage | The voltage, expressed as a number of volts, of the electricity to be delivered.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin ElectricityProduct complexType; see XML source
withdrawalPoint | The location at which the transfer of the title to the commodity takes place.
Type: | CommodityDeliveryPoint
Content: | simple, 1 attribute
Defined: | locally witnin OilPipelineDelivery complexType; see XML source
worldscaleRate | For a WET Voyager Charter Commodity Swap, the number of Worldscale Points for purposes of the calculation of a Fixed Amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CommodityFixedPrice.model group; see XML source
worldscaleRateStep | For a Wet Voyager Charter Freight Swap, the number of Worldscale Points for purposes of the calculation of a Fixed Amount for a given Calculation Period during the life of the trade.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CommodityFixedPriceSchedule complexType; see XML source

Complex Type Summary
AbsoluteTolerance | The acceptable tolerance in the delivered quantity of a physical commodity product in terms of a number of units of that product.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | never
BullionDeliveryLocation | A scheme defining where bullion is to be delivered for a Bullion Transaction.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
BullionPhysicalLeg | Physically settled leg of a physically settled Bullion Transaction.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CalculationPeriodsDatesReference | A pointer style reference to single-day-duration calculation periods defined elsewhere - note that this schedule consists of a parameterised schedule in a calculationPeriodsSchedule container.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CalculationPeriodsReference | A pointer style reference to a calculation periods schedule defined elsewhere - note that this schedule consists of a series of actual dates in a calculationPeriods container.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
CalculationPeriodsScheduleReference | A pointer style reference to a calculation periods schedule defined elsewhere - note that this schedule consists of a parameterised schedule in a calculationPeriodsSchedule container.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
CoalDelivery | The physical delivery conditions for coal.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CoalDeliveryPoint | A scheme identifying the types of the Delivery Point for a physically settled coal trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CoalPhysicalLeg | Physically settled leg of a physically settled coal transaction.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CoalProduct | A type defining the characteristics of the coal being traded in a physically settled gas transaction.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CoalProductType | A scheme identifying the types of coal for a physically settled coal trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityAmericanExercise | A type for defining exercise procedures associated with an American style exercise of a commodity option.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityCalculationPeriodsSchedule | A parametric representation of the Calculation Periods for on Asian option or a leg of a swap.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Used: | at 3 locations
CommodityDeliveryPeriods | The different options for specifying the Delivery Periods of a physical leg.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
CommodityDeliveryPoint | A scheme identifying the types of the Delivery Point for a physically settled commodity trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
CommodityDeliveryRisk | A scheme identifying how the parties to the trade aportion responsibility for the delivery of the commodity product (for example Free On Board, Cost, Insurance, Freight)
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityEuropeanExercise | A type for defining exercise procedures associated with a European style exercise of a commodity option.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityExercise | The parameters for defining how the commodity option can be exercised, how it is priced and how it is settled.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityExercisePeriods |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityExpireRelativeToEvent | A scheme identifying the physical event relative to which option expiration occurs.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityFixedPriceSchedule | The Fixed Price for a given Calculation Period during the life of the trade.
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | never
CommodityForward | Commodity Forward
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CommodityForwardLeg | Abstract base class for all commodity forward legs
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 2 locations
CommodityFrequencyType | Frequency Type for use in Pricing Date specifications.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityFxType | Identifes how the FX rate will be applied.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
CommodityHub | A type defining a hub or other reference for a physically settled commodity trade.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
CommodityHubCode | A scheme identifying the code for a hub or other reference for a physically settled commodity trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityMarketDisruption | ISDA 1993 or 2005 commodity market disruption elements.
Content: | complex, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 9 elements
Used: | never
CommodityMultipleExercise | A type for defining the multiple exercise provisions of an American style commodity option.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
CommodityNotionalQuantity | Commodity Notional.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 9 locations
CommodityNotionalQuantitySchedule | The Notional Quantity per Calculation Period.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | never
CommodityOption | Commodity Option.
Content: | complex, 1 attribute, 15 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityPayRelativeToEvent | A scheme identifying the physical event relative to which payment occurs.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityPhysicalAmericanExercise | The parameters for defining the expiration date(s) and time(s) for an American style option.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityPhysicalEuropeanExercise | The parameters for defining the expiration date(s) and time(s) for a European style option.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CommodityPhysicalExercise | The parameters for defining how the physically-settled commodity option can be exercised and how it is settled.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
CommodityPhysicalQuantity | A type defining the physical quantity of the commodity to be delivered.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Used: | at 2 locations
CommodityPhysicalQuantityBase | An abstract base class for physical quantity types.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
CommodityPhysicalQuantitySchedule | The Quantity per Delivery Period.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | never
CommodityPipeline | The pipeline through which the physical commodity will be delivered.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityPipelineCycle | The pipeline cycle during which the physical commodity will be delivered.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityPremium | The commodity option premium payable by the buyer to the seller.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
CommodityPricingDates | The dates on which prices are observed for the underlyer.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
CommodityProductGrade | A scheme identifying the grade of physical commodity product to be delivered.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityQuantityFrequency | A type for defining the frequency at which the Notional Quantity is deemed to apply for purposes of calculating the Total Notional Quantity.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
CommodityRelativeExpirationDates | The Expiration Dates of the trade relative to the Calculation Periods.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | never
CommodityRelativePaymentDates | The Payment Dates of the trade relative to the Calculation Periods.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location
CommoditySettlementPeriodsNotionalQuantity | The notional quantity of electricity that applies to one or more groups of Settlement Periods.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
CommoditySettlementPeriodsNotionalQuantitySchedule | The notional quantity schedule of electricity that applies to one or more groups of Settlement Periods.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommoditySettlementPeriodsPriceSchedule | The fixed price schedule for electricity that applies to one or more groups of Settlement Periods.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommoditySpread |
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
CommoditySpreadSchedule | The Spread per Calculation Period.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
CommodityStrikeSchedule | The Strike Price per Unit per Calculation Period.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
CommoditySwap | Commodity Swap.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Used: | at 1 location
CommoditySwapLeg | Abstract base class for all commodity swap legs
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 4 locations
CommoditySwaption | Commodity Swaption.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
CommoditySwaptionUnderlying |
Content: | complex, 3 elements
Defined: | globally; see XML source
Used: | at 1 location
DisruptionFallback | A Disruption Fallback.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ElectricityDelivery | The physical delivery conditions for electricity.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ElectricityDeliveryFirm | The physical delivery obligation options specific to a firm transaction.
Content: | empty
Defined: | globally; see XML source
Used: | at 1 location
ElectricityDeliveryPoint | A scheme identifying the types of the Delivery Point for a physically settled electricity trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ElectricityDeliverySystemFirm | The physical delivery obligation options specific to a system firm transaction.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ElectricityDeliveryType |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ElectricityDeliveryUnitFirm | The physical delivery obligation options specific to a unit firm transaction.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ElectricityPhysicalLeg | Physically settled leg of a physically settled electricity transaction.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
ElectricityPhysicalQuantity | The quantity of gas to be delivered.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ElectricityProduct | The specification of the electricity to be delivered.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FinancialSwapLeg | The common components of a financially settled leg of a Commodity Swap.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 2 locations
FixedPrice | A type defining the Fixed Price.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 5 locations
FixedPriceLeg | Fixed Price Leg of a Commodity Swap.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Used: | at 1 location
FloatingLegCalculation | A type to capture details relevant to the calculation of the floating price.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
FloatingPriceLeg | Floating Price Leg of a Commodity Swap.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
GasDeliveryPeriods | The different options for specifying the Delivery Periods for a physically settled gas trade.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
GasPhysicalLeg | Physically settled leg of a physically settled gas transaction.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
GasPhysicalQuantity | The quantity of gas to be delivered.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
GasProduct | A type defining the characteristics of the gas being traded in a physically settled gas transaction.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Lag | An observation period that is offset from a Calculation Period.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | never
LagReference | Allows a lag to reference one already defined elsewhere in the trade.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
MarketDisruptionEvent | A Market Disruption Event.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
NonPeriodicFixedPriceLeg | The details of a fixed payment.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
OilDelivery | The physical delivery conditions for an oil product.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
OilPhysicalLeg | Physically settled leg of a physically settled oil product transaction.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OilPipelineDelivery | The physical delivery conditions specific to an oil product delivered by pipeline.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
OilProduct | The specification of the oil product to be delivered.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OilProductType | The type of physical commodity product to be delivered.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
OilTransferDelivery | The physical delivery conditions specific to an oil product delivered by title transfer.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PercentageTolerance | The acceptable tolerance in the delivered quantity of a physical commodity product in terms of a percentage of the agreed delivery quantity.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
PhysicalForwardLeg | The common components of a physically settled leg of a Commodity Forward.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 1 location
PhysicalSwapLeg | The common components of a physically settled leg of a Commodity Swap.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 4 locations
QuantityReference | A pointer tyle reference to a Quantity defined elsewhere.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
QuantityScheduleReference | A pointer tyle reference to a Quantity schedule defined elsewhere.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
SequencedDisruptionFallback | A Disruption Fallback with the sequence in which it should be applied relative to other Disruption Fallbacks.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
SettlementPeriods | Specifies a set of Settlement Periods associated with an Electricity Transaction for delivery on an Applicable Day or for a series of Applicable Days.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 6 elements
Used: | at 1 location
SettlementPeriodsFixedPrice | A type defining the Fixed Price applicable to a range or ranges of Settlement Periods.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
SettlementPeriodsReference | Allows a set of Settlement Periods to reference one already defined elsewhere in the trade.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 5 locations
SettlementPeriodsSchedule | The specification of the Settlement Periods in which the electricity will be delivered for a "shaped" trade i.e. where different Settlement Period ranges will apply to different periods of the trade.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
SettlementPeriodsStep | A reference to the range of Settlement Periods that applies to a given period of a transaction.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
UnitQuantity | A quantity and associated unit.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 2 locations

Element Group Summary
CommodityAsian.model | Model group containing features specific to asian/averaging commodity options.
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
CommodityCalculationPeriods.model | The different options for specifying the Calculation Periods.
Content: | 6 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
CommodityCalculationPeriodsPointer.model | Model group to enable users to reference a Calculation Periods schedule in the form of a series of actual dates in a calculationPeriods container or in the form of a parameterised schedule in a calculationPeriodsSchedule container.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 7 locations
CommodityDeliveryPeriodsPointer.model | Model group to enable users to reference a Delivery Periods schedule in the form of a series of actual dates in a deliveryPeriods container or in the form of a parameterised schedule in a deliveryPeriodsSchedule container.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
CommodityFinancialOption.model | Items specific to financially-settled commodity options.
Content: | 9 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityFixedPhysicalQuantity.model | The different options for specifying a fixed physical quantity of commodity to be delivered.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 3 locations
CommodityFixedPrice.model | The different options for specifying the Fixed Price.
Content: | 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
CommodityFreightFlatRate.model | The Flat Rate, applicable to Wet Voyager Charter Freight Swaps.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityNonPeriodicPaymentDates.model | The different options for specifying the Payment Date.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityNotionalQuantity.model | The different options for specifying the Notional Quantity.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
CommodityPaymentDates.model | The different options for specifying the Payment Date.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
CommodityPhysicalOption.model | Items specific to financially-settled commodity options.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
CommodityStrikePrice.model | The different options for specifying the Strike price per unit.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CommoditySwapDetails.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
Price.model | Price model group.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PricingDays.model | The different options for specifying which days are pricing days within a pricing period.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <!-- Transparency open questions --> <!-- Commodity delivery dates ??? s/b pricing dates? --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 8916 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-option-shared-5-3.xsd"/> <xsd:complexType name="AbsoluteTolerance"> <xsd:annotation> <xsd:documentation xml:lang="en"> The acceptable tolerance in the delivered quantity of a physical commodity product in terms of a number of units of that product. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="positive" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The maxmium amount by which the quantity delivered can exceed the agreed quantity. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="negative" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The maximum amount by which the quantity delivered can be less than the agreed quantity. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="unit" type="QuantityUnit"> <xsd:annotation> <xsd:documentation xml:lang="en">The unit in which the tolerance is specified.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="optionOwnerPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether the tolerance is at the seller's or buyer's option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="BullionDeliveryLocation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme defining where bullion is to be delivered for a Bullion Transaction. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/bullion-delivery-location" name="bullionDeliveryLocationScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="BullionPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Physically settled leg of a physically settled Bullion Transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PhysicalForwardLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="bullionType" type="BullionTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of Bullion underlying a Bullion Transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="deliveryLocation" type="BullionDeliveryLocation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery location for the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityFixedPhysicalQuantity.model"/> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en">Date on which the bullion will settle.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CalculationPeriodsDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to single-day-duration calculation periods defined elsewhere - note that this schedule consists of a parameterised schedule in a calculationPeriodsSchedule container. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="CommodityCalculationPeriodsSchedule" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CalculationPeriodsReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a calculation periods schedule defined elsewhere - note that this schedule consists of a series of actual dates in a calculationPeriods container. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="AdjustableDates" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CalculationPeriodsScheduleReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a calculation periods schedule defined elsewhere - note that this schedule consists of a parameterised schedule in a calculationPeriodsSchedule container. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="CommodityCalculationPeriodsSchedule" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED CoalAttributeDecimal - Documentation--> <!--View Generation: SKIPPED CoalAttributePercentage - Documentation--> <xsd:complexType name="CoalDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en">The physical delivery conditions for coal.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element name="deliveryPoint" type="CoalDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The point at which the Coal Product will be delivered and received. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryAtSource" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> The point at which the Coal Product as a reference to the Source of the Coal Product. This should be a reference to the source element within product. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CoalDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of the Delivery Point for a physically settled coal trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="deliveryPointScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CoalPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Physically settled leg of a physically settled coal transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED deliveryPeriods - Documentation--> <xsd:element name="coal" type="CoalProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the Coal Product to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryConditions" type="CoalDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions for the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryQuantity" type="CommodityPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the quantity. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CoalProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the characteristics of the coal being traded in a physically settled gas transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="type" type="CoalProductType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of coal product to be delivered by reference to a pre-defined specification. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED source - Documentation--> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED CoalProductSource - Documentation--> <!--View Generation: SKIPPED CoalProductSpecifications - Documentation--> <xsd:complexType name="CoalProductType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of coal for a physically settled coal trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-coal-product-type" name="commodityCoalProductTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED CoalQualityAdjustments - Documentation--> <!--View Generation: SKIPPED CoalStandardQuality - Documentation--> <!--View Generation: SKIPPED CoalStandardQualitySchedule - Documentation--> <!--View Generation: SKIPPED CoalTransportationEquipment - Documentation--> <xsd:complexType name="CommodityAmericanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining exercise procedures associated with an American style exercise of a commodity option. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: SKIPPED exercisePeriod - Technical--> <xsd:sequence minOccurs="0"> <xsd:annotation> <xsd:documentation>Option Strip</xsd:documentation> </xsd:annotation> <xsd:element maxOccurs="unbounded" minOccurs="0" name="exercisePeriod" type="CommodityExercisePeriods"> <xsd:annotation> <xsd:documentation>Describes the American exercise periods.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exerciseFrequency" type="Frequency"> <xsd:annotation> <xsd:documentation>The exercise frequency for the strip.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!--View Generation: Skipped an empty choice.--> <!--View Generation: SKIPPED expirationTime - Documentation--> <!--View Generation: SKIPPED multipleExercise - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityCalculationPeriodsSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A parametric representation of the Calculation Periods for on Asian option or a leg of a swap. In case the calculation frequency is of value T (term), the period is defined by the commoditySwap\effectiveDate and the commoditySwap\terminationDate. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Frequency"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityDeliveryPeriods"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Delivery Periods of a physical leg. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="periods" type="AdjustableDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Delivery Periods for this leg of the swap. This type is only intended to be used if the Delivery Periods differ from the Calculation Periods on the fixed or floating leg. If DeliveryPeriods mirror another leg, then the calculationPeriodsReference element should be used to point to the Calculation Periods on that leg - or the calculationPeriodsScheduleReference can be used to point to the Calculation Periods Schedule for that leg. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="periodsSchedule" type="CommodityCalculationPeriodsSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Delivery Periods for this leg of the swap. This type is only intended to be used if the Delivery Periods differ from the Calculation Periods on the fixed or floating leg. If DeliveryPeriods mirror another leg, then the calculationPeriodsReference element should be used to point to the Calculation Periods on that leg - or the calculationPeriodsScheduleReference can be used to point to the Calculation Periods Schedule for that leg. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityCalculationPeriodsPointer.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Enables users to reference a Calculation Periods schedule in the form of a series of actual dates in a calculationPeriods container or in the form of a parameterised schedule in a calculationPeriodsSchedule container. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CommodityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of the Delivery Point for a physically settled commodity trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="deliveryPointScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityDeliveryRisk"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying how the parties to the trade aportion responsibility for the delivery of the commodity product (for example Free On Board, Cost, Insurance, Freight) </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/external/incoterms" name="deliveryRiskScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityEuropeanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining exercise procedures associated with a European style exercise of a commodity option. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: SKIPPED expirationDate - Technical--> <xsd:sequence minOccurs="0"> <xsd:annotation> <xsd:documentation>Option Strip</xsd:documentation> </xsd:annotation> <xsd:element maxOccurs="unbounded" minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period. For an averaging option this is equivalent to the Termination Date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exerciseFrequency" type="Frequency"> <xsd:annotation> <xsd:documentation>The exercise frequency for the strip.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!--View Generation: SKIPPED expirationTime - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining how the commodity option can be exercised, how it is priced and how it is settled. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="americanExercise" type="CommodityAmericanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the exercise period for an American style option together with the rules governing the quantity of the commodity that can be exercised on any given exercise date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="europeanExercise" type="CommodityEuropeanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the expiration date and time for a European or Asian style option. For an Asian style option the expiration date is equivalent to the termination date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED automaticExercise - Documentation--> <!--View Generation: SKIPPED writtenConfirmation - Documentation--> <!--View Generation: SKIPPED settlementCurrency - Standardized--> <!--View Generation: SKIPPED fx - NonStandardFeature--> <!--View Generation: SKIPPED conversionFactor - Documentation--> <!--View Generation: SKIPPED - NonStandardFeature--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommodityExercisePeriods"> <xsd:sequence> <xsd:element minOccurs="0" name="commencementDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The first day of the exercise period for an American style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommodityExpireRelativeToEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the physical event relative to which option expiration occurs. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-expire-relative-to-event" name="commodityExpireRelativeToEventScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityForward"> <xsd:annotation> <xsd:documentation xml:lang="en">Commodity Forward</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="valueDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the value date of the Commodity Forward Transaction. This is the day on which both the cash and the physical commodity settle. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixedLeg" type="NonPeriodicFixedPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">The fixed leg of a Commodity Forward Transaction</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="commodityForwardLeg"/> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityFixedPriceSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Fixed Price for a given Calculation Period during the life of the trade. There must be a Fixed Price step specified for each Calculation Period, regardless of whether the Fixed Price changes or remains the same between periods. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fixedPriceStep" type="FixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Fixed Price for a given Calculation Period during the life of the trade. There must be a Fixed Price step specified for each Calculation Period, regardless of whether the Fixed Price changes or remains the same between periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="worldscaleRateStep" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> For a Wet Voyager Charter Freight Swap, the number of Worldscale Points for purposes of the calculation of a Fixed Amount for a given Calculation Period during the life of the trade. There must be Worldscale Rate Step specified for each Calculation Period, regardless of whether the Worldscale Rate Step changes or remains the same between periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractRateStep" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> For a DRY Voyage Charter or Time Charter Freight Swap, the price per relevant unit for pruposes of the calculation of a Fixed Amount for a given Calculation Period during the life of the trade. There must be Worldscale Rate Step specified for each Calculation Period, regardless of whether the Worldscale Rate Step changes or remains the same between periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsPriceSchedule" type="CommoditySettlementPeriodsPriceSchedule"> <xsd:annotation> <xsd:documentation> For an electricity transaction, the fixed price schedule for one or more groups of Settlement Periods on which fixed payments are based. if the schedule differs for different groups of Settlement Periods, this element should be repeated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:group ref="CommodityCalculationPeriodsPointer.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="CommodityForwardLeg"> <xsd:annotation> <xsd:documentation> Abstract base class for all commodity forward legs </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Leg"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityFrequencyType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Frequency Type for use in Pricing Date specifications. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-frequency-type" name="commodityFrequencyTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED CommodityFx - NonStandardFeature--> <xsd:complexType name="CommodityFxType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifes how the FX rate will be applied. This is intended to differentiate between the various methods for applying FX to the floating price such as a daily calculation, or averaging the FX and applying the average at the end of each CalculationPeriod. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-fx-type" name="commodityFxTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityHub"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a hub or other reference for a physically settled commodity trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element minOccurs="0" name="hubCode" type="CommodityHubCode"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommodityHubCode"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the code for a hub or other reference for a physically settled commodity trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="hubCodeScheme" type="xsd:anyURI" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityMarketDisruption"> <xsd:annotation> <xsd:documentation xml:lang="en"> ISDA 1993 or 2005 commodity market disruption elements. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="marketDisruptionEvents" type="MarketDisruptionEventsEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> If Market disruption Events are stated to be Applicable then the default Market Disruption Events of Section 7.4(d)(i) of the ISDA Commodity Definitions shall apply unless specific Market Disruption Events are stated hereunder, in which case these shall override the ISDA defaults. If Market Disruption Events are stated to be Not Applicable, Market Disruption Events are not applicable to the trade at all. It is also possible to reference the Market Disruption Events set out in the relevant Master Agreement governing the trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalMarketDisruptionEvent" type="MarketDisruptionEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> To be used when marketDisruptionEvents is set to "Applicable" and additional market disruption events(s) apply to the default market disruption events of Section 7.4(d)(i) of the ISDA Commodity Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="marketDisruptionEvent" type="MarketDisruptionEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> Market disruption event(s) that apply. Note that these should only be specified if the default market disruption events of Section 7.4(d)(i) of the ISDA Commodity Definitions are to be overridden. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en"> If omitted then the standard disruption fallbacks of Section 7.5(d)(i) of the ISDA Commodity Definitions shall apply. </xsd:documentation> </xsd:annotation> <xsd:element minOccurs="0" name="disruptionFallbacks" type="DisruptionFallbacksEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> To be used where disruption fallbacks are set out in the relevant Master Agreement governing the trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="disruptionFallback" type="SequencedDisruptionFallback"/> </xsd:choice> <xsd:element minOccurs="0" name="fallbackReferencePrice" type="Underlyer"> <xsd:annotation> <xsd:documentation xml:lang="en"> A fallback commodity reference price for use when relying on Disruption Fallbacks in Section 7.5(d)(i) of the ISDA Commodity Definitions or have selected "Fallback Reference Price" as a disruptionFallback. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maximumNumberOfDaysOfDisruption" type="xsd:nonNegativeInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> 2005 Commodity Definitions only. If omitted , the number of days specified in Section 7.6(a) of the Definitions will apply. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="priceMaterialityPercentage" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> 2005 Commodity Definitions only. To be used where a price materiality percentage applies to the "Price Source Disruption" event and this event has been specified by setting marketDisruption to true or including it in additionalMarketDisruptionEvent </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="minimumFuturesContracts" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> 1993 Commodity Definitions only. Specifies the Mimum Futures Contracts level that dictates whether or not a "De Minimis Trading" event has occurred. Only relevant if 'De Minimis Trading' has been specified in marketDisruptionEvent or additionalMarketDisruptionEvent. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommodityMultipleExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the multiple exercise provisions of an American style commodity option. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="integralMultipleQuantity" type="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The integral multiple quantity defines a lower limit of the Notional Quantity that can be exercised and also defines a unit multiple of the Notional Quantity that can be exercised, i.e. only integer multiples of this Notional Quantity can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="minimumNotionalQuantity" type="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The minimum Notional Quantity that can be exercised on a given Exercise Date. See multipleExercise. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en">Commodity Notional.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="quantityUnit" type="QuantityUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> Quantity Unit is the unit of measure applicable for the quantity on the Transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED quantityFrequency - Other-represented by total quantity--> <!--View Generation: SKIPPED quantity - Other-represented by total quantity--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CommodityNotionalQuantitySchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Notional Quantity per Calculation Period. There must be a Notional Quantity step specified for each Calculation Period, regardless of whether the Notional Quantity changes or remains the same between periods. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="notionalStep" type="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Notional Quantity per Calculation Period. There must be a Notional Quantity specified for each Calculation Period, regardless of whether the quantity changes or remains the same between periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsNotionalQuantitySchedule" type="CommoditySettlementPeriodsNotionalQuantitySchedule"> <xsd:annotation> <xsd:documentation> For an electricity transaction, the Notional Quantity schedule for a one or more groups of Settlement Periods to which the Notional Quantity is based. If the schedule differs for different groups of Settlement Periods, this element should be repeated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:group ref="CommodityCalculationPeriodsPointer.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CommodityOption"> <xsd:annotation> <xsd:documentation xml:lang="en">Commodity Option.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of option transaction.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Removed a degenerate choice.--> <xsd:group ref="CommodityFinancialOption.model"> <xsd:annotation> <xsd:documentation> Items specific to financially-settled commodity options. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="CommodityPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityPayRelativeToEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the physical event relative to which payment occurs. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-pay-relative-to-event" name="commodityPayRelativeToEventScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityPhysicalAmericanExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining the expiration date(s) and time(s) for an American style option. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="commencementDates" type="AdjustableOrRelativeDates"> <xsd:annotation> <xsd:documentation> The first day(s) of the exercise period(s) for an American-style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expirationDates" type="AdjustableOrRelativeDates"> <xsd:annotation> <xsd:documentation> The Expiration Date(s) of an American-style option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!--View Generation: SKIPPED latestExerciseTime - Documentation--> <!--View Generation: SKIPPED expirationTime - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityPhysicalEuropeanExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining the expiration date(s) and time(s) for a European style option. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation> The Expiration Date of a single expiry European-style option or the first Expiration Date of a multiple expiry or daily expiring option. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED expirationTime - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityPhysicalExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining how the physically-settled commodity option can be exercised and how it is settled. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="americanExercise" type="CommodityPhysicalAmericanExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining the expiration date(s) and time(s) for an American style option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="europeanExercise" type="CommodityPhysicalEuropeanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the expiration date(s) and time(s) for a European style option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED automaticExercise - NonStandardFeature--> <!--View Generation: SKIPPED writtenConfirmation - NonStandardFeature--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommodityPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the physical quantity of the commodity to be delivered. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommodityPhysicalQuantityBase"> <xsd:sequence> <xsd:group ref="CommodityFixedPhysicalQuantity.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="CommodityPhysicalQuantityBase"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract base class for physical quantity types. </xsd:documentation> </xsd:annotation> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CommodityPhysicalQuantitySchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Quantity per Delivery Period. There must be a Quantity step specified for each Delivery Period, regardless of whether the Quantity changes or remains the same between periods. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quantityStep" type="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The quantity per Calculation Period. There must be a quantity specified for each Calculation Period, regardless of whether the quantity changes or remains the same between periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityDeliveryPeriodsPointer.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CommodityPipeline"> <xsd:annotation> <xsd:documentation xml:lang="en"> The pipeline through which the physical commodity will be delivered. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="pipelineScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityPipelineCycle"> <xsd:annotation> <xsd:documentation xml:lang="en"> The pipeline cycle during which the physical commodity will be delivered. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="pipelineCycleScheme" type="xsd:anyURI" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The commodity option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonNegativePayment"> <xsd:sequence> <xsd:element name="premiumPerUnit" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency amount of premium to be paid per Unit of the Total Notional Quantity. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityPricingDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The dates on which prices are observed for the underlyer. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED - Documentation--> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <!--View Generation: SKIPPED lag - Standardized--> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:group ref="PricingDays.model"/> <!--View Generation: SKIPPED businessCalendar - DateAdjustments--> </xsd:sequence> </xsd:sequence> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CommodityProductGrade"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the grade of physical commodity product to be delivered. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="productGradeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityQuantityFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the frequency at which the Notional Quantity is deemed to apply for purposes of calculating the Total Notional Quantity. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-quantity-frequency" name="quantityFrequencyScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityRelativeExpirationDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Expiration Dates of the trade relative to the Calculation Periods. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="expireRelativeToEvent" type="CommodityExpireRelativeToEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the payment(s) occur relative to the date of a physical event. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expirationDateOffset" type="DateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies any offset from the adjusted Calculation Period start date or adjusted Calculation Period end date applicable to each Payment Date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CommodityRelativePaymentDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Payment Dates of the trade relative to the Calculation Periods. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="payRelativeTo" type="PayRelativeToEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the payment(s) occur relative to a date such as the end of each Calculation Period or the last Pricing Date in each Calculation Period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="payRelativeToEvent" type="CommodityPayRelativeToEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the payment(s) occur relative to the date of a physical event. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:group ref="CommodityCalculationPeriodsPointer.model"/> <xsd:element minOccurs="0" name="paymentDaysOffset" type="DateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies any offset from the adjusted Calculation Period start date or adjusted Calculation Period end date applicable to each Payment Date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CommoditySettlementPeriodsNotionalQuantity"> <xsd:annotation> <xsd:documentation> The notional quantity of electricity that applies to one or more groups of Settlement Periods. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommodityNotionalQuantity"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The range(s) of Settlement Periods to which the Notional Quantity applies. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommoditySettlementPeriodsNotionalQuantitySchedule"> <xsd:annotation> <xsd:documentation> The notional quantity schedule of electricity that applies to one or more groups of Settlement Periods. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsNotionalQuantityStep" type="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation> For an electricity transaction, the Notional Quantity for a given Calculation Period during the life of the trade which applies to the range(s) of Settlement Periods referenced by settlementPeriodsReference. There must be a settlementPeriodsNotionalQuantityStep specified for each Calculation Period, regardless of whether the NotionalQuantity changes or remains the same between periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The range(s) of Settlement Periods to which the Fixed Price steps apply. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommoditySettlementPeriodsPriceSchedule"> <xsd:annotation> <xsd:documentation> The fixed price schedule for electricity that applies to one or more groups of Settlement Periods. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsPriceStep" type="FixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> For an electricity transaction, the Fixed Price for a given Calculation Period during the life of the trade which applies to the range(s) of Settlement Periods referenced by settlementPeriods Reference. There must be a Fixed Price step specified for each Calculation Period, regardless of whether the Fixed Price changes or remains the same between periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The range(s) of Settlement Periods to which the Fixed Price steps apply. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommoditySpread"> <xsd:complexContent> <xsd:extension base="Money"> <xsd:sequence> <xsd:element minOccurs="0" name="spreadConversionFactor" type="xsd:decimal"> <xsd:annotation> <xsd:documentation> spreadConversionFactor should be used when the unit of measure of the Commodity Reference Price and the unit of measure in which the spread is quoted are different. The value of spreadConversionFactor is the number of units of measure in which the spread is quoted per unit of measure of the Commodity Reference Price. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spreadUnit" type="QuantityUnit"> <xsd:annotation> <xsd:documentation> spreadUnit should be used when the unit of measure of the Commodity Reference Price and the unit of measure in which the spread is quoted are different. The value of spreadUnit is the unit of measure in which the spread is quoted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommoditySpreadSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Spread per Calculation Period. There must be a Spread specified for each Calculation Period, regardless of whether the Spread changes or remains the same between periods. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="spreadStep" type="CommoditySpread"> <xsd:annotation> <xsd:documentation xml:lang="en"> The spread per Calculation Period. There must be a spread step specified for each Calculation Period, regardless of whether the spread changes or remains the same between periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityCalculationPeriodsPointer.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommodityStrikeSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Strike Price per Unit per Calculation Period. There must be a Strike Price per Unit step specified for each Calculation Period, regardless of whether the Strike changes or remains the same between periods. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="strikePricePerUnitStep" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> The strike price per unit per Calculation Period. There must be a strike price per unit specified for each Calculation Period, regardless of whether the price changes or remains the same between periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityCalculationPeriodsPointer.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CommoditySwap"> <xsd:annotation> <xsd:documentation xml:lang="en">Commodity Swap.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="CommoditySwapDetails.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommoditySwaption"> <xsd:annotation> <xsd:documentation xml:lang="en">Commodity Swaption.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of option transaction.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="commoditySwap" type="CommoditySwaptionUnderlying"> <xsd:annotation> <xsd:documentation>The underlying commodity swap definiton.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="physicalExercise" type="CommodityPhysicalExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining how the commodity option can be exercised into a physical transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="premium" type="CommodityPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommoditySwaptionUnderlying"> <xsd:sequence> <xsd:group ref="CommoditySwapDetails.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="CommoditySwapLeg"> <xsd:annotation> <xsd:documentation>Abstract base class for all commodity swap legs</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Leg"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DisruptionFallback"> <xsd:annotation> <xsd:documentation xml:lang="en">A Disruption Fallback.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-market-disruption-fallback" name="commodityMarketDisruptionFallbackScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ElectricityDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en">The physical delivery conditions for electricity.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element name="deliveryPoint" type="ElectricityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The point at which delivery of the electricity will occur. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryType" type="ElectricityDeliveryType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the under what conditions the Parties' delivery obligations apply. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED transmissionContingency - Documentation--> </xsd:sequence> <!--View Generation: Skipped an empty sequence.--> </xsd:choice> </xsd:complexType> <xsd:complexType name="ElectricityDeliveryFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery obligation options specific to a firm transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED forceMajeure - Documentation--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED ElectricityDeliveryPeriods - Documentation--> <xsd:complexType name="ElectricityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of the Delivery Point for a physically settled electricity trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="deliveryPointScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ElectricityDeliverySystemFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery obligation options specific to a system firm transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the trade is for a System Firm product. Should always be set to "true". </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED system - Documentation--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ElectricityDeliveryType"> <xsd:choice> <xsd:element minOccurs="0" name="firm" type="ElectricityDeliveryFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates under what condtitions the Parties' delivery obligations apply. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="nonFirm" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If present and set to true, indicates that delivery or receipt of the electricity may be interrupted for any reason or for no reason, without liability on the part of either Party. This element should never have a value of false. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="systemFirm" type="ElectricityDeliverySystemFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the electricity is intended to be supplied from the owned or controlled generation or pre-existing purchased power assets of the system specified. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="unitFirm" type="ElectricityDeliveryUnitFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the electricity is intended to be supplied from a generation asset which can optionally be specified. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="ElectricityDeliveryUnitFirm"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery obligation options specific to a unit firm transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the trade is for a Unit Firm product. Should always be set to "true". </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED generationAsset - Documentation--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED ElectricityPhysicalDeliveryQuantity - Other-quantity is represented by total quantity--> <!--View Generation: SKIPPED ElectricityPhysicalDeliveryQuantitySchedule - Other-quantity is represented by total quantity--> <xsd:complexType name="ElectricityPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Physically settled leg of a physically settled electricity transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED deliveryPeriods - Documentation--> <xsd:element maxOccurs="unbounded" name="settlementPeriods" type="SettlementPeriods"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the Settlement Periods in which the electricity will be delivered. The Settlement Periods will apply from and including the Effective Date up to and including the Termination Date. If more than one settlementPeriods element is present this indicates multiple ranges of Settlement Periods apply to the entire trade - for example off-peak weekdays and all day weekends. Settlement Period ranges should not overlap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="settlementPeriodsSchedule" type="SettlementPeriodsSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the Settlement Periods in which the electricity will be delivered for a "shaped" trade i.e. where different Settlement Period ranges will apply to different periods of the trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="electricity" type="ElectricityProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the electricity to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryConditions" type="ElectricityDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions for the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deliveryQuantity" type="ElectricityPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the quantity. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ElectricityPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en">The quantity of gas to be delivered.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommodityPhysicalQuantityBase"> <xsd:sequence> <!--View Generation: Skipped an empty choice.--> <xsd:element name="totalPhysicalQuantity" type="UnitQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Total Quantity of the commodity to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ElectricityProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the electricity to be delivered. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="ElectricityProductTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of electricity product to be delivered.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="voltage" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The voltage, expressed as a number of volts, of the electricity to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED ElectricityTransmissionContingency - Documentation--> <!--View Generation: SKIPPED ElectricityTransmissionContingencyType - Documentation--> <xsd:complexType abstract="true" name="FinancialSwapLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The common components of a financially settled leg of a Commodity Swap. This is an abstract type and should be extended by commodity-specific types. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommoditySwapLeg"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining the Fixed Price.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="price" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The Fixed Price.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="Price.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="FixedPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed Price Leg of a Commodity Swap.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="FinancialSwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED - Documentation--> <xsd:group ref="CommodityFixedPrice.model"/> <xsd:group ref="CommodityNotionalQuantity.model"/> <!--View Generation: SKIPPED - Documentation--> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FloatingLegCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to capture details relevant to the calculation of the floating price. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="pricingDates" type="CommodityPricingDates"> <xsd:annotation> <xsd:documentation xml:lang="en">Commodity Pricing Dates.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parties may specify a Method of Averaging where more than one pricing Dates is being specified as being applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED conversionFactor - Documentation--> <!--View Generation: SKIPPED rounding - Documentation--> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="spread" type="CommoditySpread"> <xsd:annotation> <xsd:documentation xml:lang="en"> The spread over or under the Commodity Reference Price for this leg of the trade. This element is intended to be used for basis trades. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED fx - NonStandardFeature--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FloatingPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Floating Price Leg of a Commodity Swap.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="FinancialSwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED - Documentation--> <xsd:element name="commodity" type="Commodity"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the underlying instrument. At this time, only underlyers of type Commodity are supported; the choice group in the future could offer the possibility of adding other types later. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityNotionalQuantity.model"/> <xsd:element name="calculation" type="FloatingLegCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines details relevant to the calculation of the floating price. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - Documentation--> <xsd:group minOccurs="0" ref="CommodityFreightFlatRate.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED GasDelivery - Documentation--> <!--View Generation: SKIPPED GasDeliveryPoint - Documentation--> <xsd:complexType name="GasDeliveryPeriods"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Delivery Periods for a physically settled gas trade. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommodityDeliveryPeriods"> <xsd:sequence> <xsd:element name="supplyStartTime" type="PrevailingTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time at which gas delivery should start on each day of the Delivery Period(s). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="supplyEndTime" type="PrevailingTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time at which gas delivery should end on each day of the Delivery Period(s). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="GasPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Physically settled leg of a physically settled gas transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <xsd:element name="deliveryPeriods" type="GasDeliveryPeriods"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Delivery or Supply Periods. Unless the quantity or price is to vary periodically during the trade or physical delivery occurs on a periodic basis, periodsSchedule should be used and set to 1T. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="gas" type="GasProduct"> <xsd:annotation> <xsd:documentation xml:lang="en">The specification of the gas to be delivered.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED deliveryConditions - Documentation--> <xsd:element name="deliveryQuantity" type="GasPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the quantity. For Fixed trades where the quantity is known at the time of confirmation, a single quantity or a quantity per Delivery Period may be specified. For Variable trades minimum and maximum trades may be specified. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="GasPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en">The quantity of gas to be delivered.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommodityPhysicalQuantityBase"> <xsd:choice> <xsd:group ref="CommodityFixedPhysicalQuantity.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A quantity that is known at the time the transaction is executed. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:sequence> <xsd:annotation> <xsd:documentation xml:lang="en"> A quantity that can vary within set limits at the instruction of the specified party. </xsd:documentation> </xsd:annotation> <xsd:element maxOccurs="unbounded" minOccurs="0" name="minPhysicalQuantity" type="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The minimum quantity to be delivered. If separate minimums need to be specified for different periods (e.g. a minimum per day and a minimum per month) this element should be repeated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="maxPhysicalQuantity" type="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The maximum quantity to be delivered. If separate minimums need to be specified for different periods (e.g. a minimum per day and a minimum per month) this element should be repeated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="electingParty" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the party able to choose whether the gas is delivered for a particular period e.g. a swing or interruptible contract. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="GasProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the characteristics of the gas being traded in a physically settled gas transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="GasProductTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of gas to be delivered.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Skipped an empty choice.--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED GasQuality - Documentation--> <xsd:complexType name="Lag"> <xsd:annotation> <xsd:documentation xml:lang="en"> An observation period that is offset from a Calculation Period. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="lagDuration" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The period during which observations will be made. If a firstObservationDateOffset is specified, the observation period will start the specified interval prior to each Calculation Period - i.e. if the firstObservationDateOffset is 4 months and the lagDuration is 3 months, observations will be taken in months 4,3 and 2 (but not 1) prior to each Calculation Period. If no firstObservationDate is specified, the observation period will end immediately preceding each Calculation Period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="firstObservationDateOffset" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The interval between the start of each lagDuration and the start of each respective calculation period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="LagReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows a lag to reference one already defined elsewhere in the trade. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Lag" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="MarketDisruptionEvent"> <xsd:annotation> <xsd:documentation xml:lang="en">A Market Disruption Event.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-market-disruption" name="commodityMarketDisruptionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="NonPeriodicFixedPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The details of a fixed payment. Can be used for a forward transaction or as the base for a more complex fixed leg component such as the fixed leg of a swap. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommoditySwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element name="fixedPrice" type="FixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed price on which fixed payments are based.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED totalPrice - Other-represented elsewhere--> <!--View Generation: SKIPPED quantityReference - Other-represented elsewhere--> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OilDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions for an oil product. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="pipeline" type="OilPipelineDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specified the delivery conditions where the oil product is to be delivered by pipeline. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="transfer" type="OilTransferDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specified the delivery conditions where the oil product is to be delivered by title transfer. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <!--View Generation: SKIPPED importerOfRecord - Documentation--> <!--View Generation: Skipped an empty choice.--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OilPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> Physically settled leg of a physically settled oil product transaction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED deliveryPeriods - Documentation--> <xsd:element name="oil" type="OilProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the oil product to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED deliveryConditions - Documentation--> <xsd:element name="deliveryQuantity" type="CommodityPhysicalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the quantity. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OilPipelineDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions specific to an oil product delivered by pipeline. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="pipelineName" type="CommodityPipeline"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of pipeline by which the oil product will be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="withdrawalPoint" type="CommodityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The location at which the transfer of the title to the commodity takes place. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="entryPoint" type="CommodityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The point at which the oil product will enter the pipeline. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="deliverableByBarge" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Whether or not the delivery can go to barge. For trades documented under the ISDA Master Agreement and Oil Annex, this should always be set to 'false'. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies how the risk associated with the delivery is assigned. For trades documented under the ISDA Master Agreement and Oil Annex, this presence of this element indicates that the provisions of clause (b)(i) of the ISDA Oil Annex are being varied. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="cycle" type="CommodityPipelineCycle"> <xsd:annotation> <xsd:documentation xml:lang="en"> The cycle(s) during which the oil product will be transported in the pipeline. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OilProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the oil product to be delivered. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="OilProductType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of oil product to be delivered.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="grade" type="CommodityProductGrade"> <xsd:annotation> <xsd:documentation xml:lang="en">The grade of oil product to be delivered.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OilProductType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of physical commodity product to be delivered. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-oil-product-type" name="commodityOilProductTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="OilTransferDelivery"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical delivery conditions specific to an oil product delivered by title transfer. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the oil product will be delivered by title transfer. Should always be set to "true". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="deliveryLocation" type="CommodityDeliveryPoint"> <xsd:annotation> <xsd:documentation xml:lang="en"> The location at which the transfer of the title to the commodity takes place. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PercentageTolerance"> <xsd:annotation> <xsd:documentation xml:lang="en"> The acceptable tolerance in the delivered quantity of a physical commodity product in terms of a percentage of the agreed delivery quantity. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="postitive" type="RestrictedPercentage"> <xsd:annotation> <xsd:documentation xml:lang="en"> The maximum percentage amount by which the quantity delivered can exceed the agreed quantity. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="negative" type="RestrictedPercentage"> <xsd:annotation> <xsd:documentation xml:lang="en"> The maximum percentage amount by which the quantity delivered can be less than the agreed quantity. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="option" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether the tolerance it at the seller's or buyer's option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="PhysicalForwardLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The common components of a physically settled leg of a Commodity Forward. This is an abstract type and should be extended by commodity-specific types. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommodityForwardLeg"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="PhysicalSwapLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The common components of a physically settled leg of a Commodity Swap. This is an abstract type and should be extended by commodity-specific types. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CommoditySwapLeg"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="QuantityScheduleReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer tyle reference to a Quantity schedule defined elsewhere. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="CommodityNotionalQuantitySchedule" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="QuantityReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer tyle reference to a Quantity defined elsewhere. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="CommodityPhysicalQuantityBase" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SequencedDisruptionFallback"> <xsd:annotation> <xsd:documentation xml:lang="en"> A Disruption Fallback with the sequence in which it should be applied relative to other Disruption Fallbacks. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="fallback" type="DisruptionFallback"> <xsd:annotation> <xsd:documentation xml:lang="en">Disruption fallback that applies to the trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="sequence" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> Sequence in which the reference to the disruption fallback should be applied. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SettlementPeriods"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies a set of Settlement Periods associated with an Electricity Transaction for delivery on an Applicable Day or for a series of Applicable Days. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="duration" type="SettlementPeriodDurationEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The length of each Settlement Period.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="7" minOccurs="0" name="applicableDay" type="DayOfWeekEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the Applicable Day with respect to a range of Settlement Periods. This element can only be omitted if includesHolidays is present, in which case this range of Settlement Periods will apply to days that are holidays only. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="startTime" type="OffsetPrevailingTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the hour-ending Start Time with respect to a range of Settlement Periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="endTime" type="OffsetPrevailingTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the hour-ending End Time with respect to a range of Settlement Periods. If neither startTime nor endTime contain an offset element and endTime is earlier than startTime, this indicates that the time period "wraps around" midnight. For example, if startTime is 23:00 and endTime is 01:00 then Settlement Periods apply from 00:00 to 01:00 and 23:00 to 00:00 on each included day. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="excludeHolidays" type="CommodityBusinessCalendar"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that days that are holidays according to the referenced commodity business calendar should be excluded from this range of Settlement Periods, even if such day is an applicable day. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="includeHolidays" type="CommodityBusinessCalendar"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that days that are holidays according to the referenced commodity business calendar should be included in this range of Settlement Periods, even if such day is not an applicable day. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="SettlementPeriodsFixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the Fixed Price applicable to a range or ranges of Settlement Periods. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="FixedPrice"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SettlementPeriodsReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows a set of Settlement Periods to reference one already defined elsewhere in the trade. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="SettlementPeriods" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SettlementPeriodsSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the Settlement Periods in which the electricity will be delivered for a "shaped" trade i.e. where different Settlement Period ranges will apply to different periods of the trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsStep" type="SettlementPeriodsStep"> <xsd:annotation> <xsd:documentation xml:lang="en"> The range of Settlement Periods per Calculation Period. There must be a range of Settlement Periods specified for each Calculation Period, regardless of whether the range of Settlement Periods changes or stays the same between periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityDeliveryPeriodsPointer.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SettlementPeriodsStep"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the range of Settlement Periods that applies to a given period of a transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the Settlement Periods in which the electricity will be delivered. The Settlement Periods will apply for the duration of the appliable period. If more than one settlementPeriods element is present this indicates multiple ranges of Settlement Periods apply for the duration of the applicable period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="UnitQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en">A quantity and associated unit.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="quantityUnit" type="QuantityUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> Quantity Unit is the unit of measure applicable for the quantity on the Transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="quantity" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Amount of commodity per quantity frequency.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:element name="bullionPhysicalLeg" substitutionGroup="commodityForwardLeg" type="BullionPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> The physical leg of a Commodity Forward Transaction for which the underlyer is Bullion. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="coalPhysicalLeg" substitutionGroup="commoditySwapLeg" type="CoalPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Physically settled coal leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="commodityForward" substitutionGroup="product" type="CommodityForward"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines a commodity forward product.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="commodityForwardLeg" type="CommodityForwardLeg"> <xsd:annotation> <xsd:documentation>Defines the substitutable commodity forward leg</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="commodityOption" substitutionGroup="product" type="CommodityOption"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines a commodity option product.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="commoditySwap" substitutionGroup="product" type="CommoditySwap"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines a commodity swap product.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="commoditySwaption" substitutionGroup="product" type="CommoditySwaption"> <xsd:annotation> <xsd:documentation>Defines a commodity swaption product</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="commoditySwapLeg" type="CommoditySwapLeg"> <xsd:annotation> <xsd:documentation>Defines the substitutable commodity swap leg</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="electricityPhysicalLeg" substitutionGroup="commoditySwapLeg" type="ElectricityPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Physically settled electricity leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fixedLeg" substitutionGroup="commoditySwapLeg" type="FixedPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed Price Leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="floatingLeg" substitutionGroup="commoditySwapLeg" type="FloatingPriceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Floating Price leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="gasPhysicalLeg" substitutionGroup="commoditySwapLeg" type="GasPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Physically settled natural gas leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="oilPhysicalLeg" substitutionGroup="commoditySwapLeg" type="OilPhysicalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Physically settled oil or refined products leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group name="CommodityAsian.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Model group containing features specific to asian/averaging commodity options. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The effective date of the Commodity Option Transaction. Note that the Termination/Expiration Date should be specified in expirationDate within the CommodityAmericanExercise type or the CommodityEuropeanExercise type, as applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="calculationPeriodsSchedule" type="CommodityCalculationPeriodsSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A parametric representation of the Calculation Periods of the Commodity Option Transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pricingDates" type="CommodityPricingDates"> <xsd:annotation> <xsd:documentation xml:lang="en">The dates on which the option will price.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Method of Averaging if there is more than one Pricing Date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CommodityDeliveryPeriodsPointer.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Model group to enable users to reference a Delivery Periods schedule in the form of a series of actual dates in a deliveryPeriods container or in the form of a parameterised schedule in a deliveryPeriodsSchedule container. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="deliveryPeriodsReference" type="CalculationPeriodsReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the Delivery Periods defined elsewhere. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="deliveryPeriodsScheduleReference" type="CalculationPeriodsScheduleReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the Calculation Periods Schedule defined elsewhere. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <!--View Generation: SKIPPED CommodityDeliveryPoints.model - Documentation--> <xsd:group name="CommodityCalculationPeriods.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Calculation Periods. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="calculationDates" type="AdjustableDates"> <xsd:annotation> <xsd:documentation> The Calculation Period dates for this leg of the trade where the Calculation Periods are all one day long, typically a physically-settled emissions or metals trade. Only dates explicitly included determine the Calculation Periods and there is a Calculation Period for each date specified. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationPeriods" type="AdjustableDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Calculation Period start dates for this leg of the swap. This type is only intended to be used if the Calculation Periods differ on each leg. If Calculation Periods mirror another leg, then the calculationPeriodsReference element should be used to point to the Calculation Periods on that leg - or the calculationPeriodsScheduleReference can be used to point to the Calculation Periods Schedule for that leg. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationPeriodsSchedule" type="CommodityCalculationPeriodsSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Calculation Periods for this leg of the swap. This type is only intended to be used if the Calculation Periods differ on each leg. If Calculation Periods mirror another leg, then the calculationPeriodsReference element should be used to point to the Calculation Periods on the other leg - or the calculationPeriodsScheduleReference can be used to point to the Calculation Periods Schedule for that leg. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityCalculationPeriodsPointer.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Enables users to reference a Calculation Periods schedule in the form of a series of actual dates in a calculationPeriods container or in the form of a parameterised schedule in a calculationPeriodsSchedule container. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:choice> </xsd:group> <xsd:group name="CommodityCalculationPeriodsPointer.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Model group to enable users to reference a Calculation Periods schedule in the form of a series of actual dates in a calculationPeriods container or in the form of a parameterised schedule in a calculationPeriodsSchedule container. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="calculationPeriodsReference" type="CalculationPeriodsReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the Calculation Periods defined on another leg. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationPeriodsScheduleReference" type="CalculationPeriodsScheduleReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the Calculation Periods Schedule defined on another leg. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationPeriodsDatesReference" type="CalculationPeriodsDatesReference"> <xsd:annotation> <xsd:documentation> A pointer style reference to single-day-duration Calculation Periods defined on another leg. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <!--View Generation: SKIPPED CommodityCoalComposition.model - Documentation--> <!--View Generation: SKIPPED CommodityCoalProperties.model - Documentation--> <!--View Generation: SKIPPED CommodityCoalReducingAtmosphere.model - Documentation--> <!--View Generation: SKIPPED CommodityContent.model - Documentation--> <xsd:group name="CommodityFinancialOption.model"> <xsd:annotation> <xsd:documentation> Items specific to financially-settled commodity options. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="commodity" type="Commodity"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the underlying component. At the time of the initial schema design, only underlyers of type Commodity are supported; the choice group in the future could offer the possibility of adding other types later. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="CommodityAsian.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group containing properties specific to Asian options. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:group ref="CommodityNotionalQuantity.model"/> <xsd:element minOccurs="0" name="exercise" type="CommodityExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining how the commodity option can be exercised and how it is settled. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityStrikePrice.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Strike price per unit. This will consists of a single strike price of a strike price schedule. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:group> <xsd:group name="CommodityFixedPhysicalQuantity.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying a fixed physical quantity of commodity to be delivered. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: Skipped an empty choice.--> <xsd:element name="totalPhysicalQuantity" type="UnitQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Total Quantity of the commodity to be delivered. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CommodityFixedPrice.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Fixed Price. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:choice> <xsd:element name="fixedPrice" type="FixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed price on which fixed payments are based.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="worldscaleRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> For a WET Voyager Charter Commodity Swap, the number of Worldscale Points for purposes of the calculation of a Fixed Amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="contractRate" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> For a DRY Voyage Charter or Time Charter Commodity Swap, the price per relevant unit for pruposes of the calculation of a Fixed Amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsPrice" type="SettlementPeriodsFixedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> For an electricity transaction, the fixed price for one or more groups of Settlement Periods on which fixed payments are based. If the fixed price differs for different groups of Settlement Periods, this element should be repeated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="totalPrice" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> The total amount of all fixed payments due during the term of the trade. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CommodityFreightFlatRate.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Flat Rate, applicable to Wet Voyager Charter Freight Swaps. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="flatRate" type="FlatRateEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Whether the Flat Rate is the New Worldwide Tanker Nominal Freight Scale for the Freight Index Route taken at the Trade Date of the transaction or taken on each Pricing Date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="flatRateAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> If flatRate is set to "Fixed", the actual value of the Flat Rate. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CommodityNonPeriodicPaymentDates.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Payment Date. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="paymentDates" type="AdjustableDatesOrRelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en">Dates on which payments will be made.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="masterAgreementPaymentDates" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If present and true indicates that the Payment Date(s) are specified in the relevant master agreement. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="CommodityNotionalQuantity.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Notional Quantity. A flat notional for the term of the trade may be specified, or else the Notional Quantity per Calculation Period. In the latter case, there must be a notional quantity specified for each Calculation Period, regardless of whether the Notional Quantity changes or remains the same between periods. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="notionalQuantity" type="CommodityNotionalQuantity"> <xsd:annotation> <xsd:documentation xml:lang="en">The Notional Quantity.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="totalNotionalQuantity" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The Total Notional Quantity.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!--View Generation: SKIPPED quantityReference - References--> </xsd:choice> </xsd:group> <xsd:group name="CommodityPaymentDates.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Payment Date. This will consist of either a set of Payment Dates or else a Payment Date schedule. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="relativePaymentDates" type="CommodityRelativePaymentDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The Payment Dates of the trade relative to the Calculation Periods. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CommodityNonPeriodicPaymentDates.model"/> </xsd:choice> </xsd:group> <xsd:group name="CommodityPhysicalOption.model"> <xsd:annotation> <xsd:documentation> Items specific to financially-settled commodity options. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: Skipped an empty choice.--> <xsd:element minOccurs="0" name="physicalExercise" type="CommodityPhysicalExercise"> <xsd:annotation> <xsd:documentation> The parameters for defining how the commodity option can be exercised into a physical transaction. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CommodityStrikePrice.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying the Strike price per unit. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="strikePricePerUnit" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency amount of the strike price per unit.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED strikePricePerUnitSchedule - Other-represented elsewhere--> </xsd:choice> </xsd:group> <xsd:group name="CommoditySwapDetails.model"> <xsd:sequence> <xsd:element name="effectiveDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the effective date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the effective date of the other leg of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="terminationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the termination date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the termination date of the other leg of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED settlementCurrency - Standardized--> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="commoditySwapLeg"/> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:group> <!--View Generation: SKIPPED CommodityUSCoalProduct.model - Documentation--> <!--View Generation: SKIPPED CommodityUSCoalDelivery.model - Documentation--> <!--View Generation: SKIPPED LagOrReference.model - Standardized--> <xsd:group name="Price.model"> <xsd:annotation> <xsd:documentation xml:lang="en">Price model group.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="priceCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">Currency of the fixed price.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="priceUnit" type="QuantityUnit"> <xsd:annotation> <xsd:documentation xml:lang="en"> The unit of measure used to calculate the Fixed Price. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="PricingDays.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The different options for specifying which days are pricing days within a pricing period. Unless a lag element is present, the pricing period will be the calculation period. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="dayType" type="CommodityDayTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of day on which pricing occurs.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="dayDistribution" type="CommodityFrequencyType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method by which the pricing days are distributed across the pricing period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dayCount" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of days over which pricing should take place. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.